import Webhook from './webhook.js';
import SlackAddon from './slack.js';
import TeamsAddon from './teams.js';
import DatadogAddon from './datadog.js';
import NewRelicAddon from './new-relic.js';
import SlackAppAddon from './slack-app.js';
export const getAddons = (args) => {
    const addons = [
        new Webhook(args),
        new SlackAddon(args),
        new SlackAppAddon(args),
        new TeamsAddon(args),
        new DatadogAddon(args),
        new NewRelicAddon(args),
    ];
    return addons.reduce((map, addon) => {
        // eslint-disable-next-line no-param-reassign
        map[addon.name] = addon;
        return map;
    }, {});
};
//# sourceMappingURL=index.js.map