import { UnleashError } from './unleash-error.js';
class ContentTypeError extends UnleashError {
    constructor(acceptedContentTypes, providedContentType) {
        const message = `We do not accept the content-type you provided (${providedContentType || "you didn't provide one"}). Try using one of the content-types we do accept instead (${acceptedContentTypes.join(', ')}) and make sure the body is in the corresponding format.`;
        super(message);
        this.statusCode = 415;
    }
}
export default ContentTypeError;
//# sourceMappingURL=content-type-error.js.map