import { GenericUnleashError } from './unleash-error.js';
import { EXCEEDS_LIMIT } from '../metric-events.js';
export class ExceedsLimitError extends GenericUnleashError {
    constructor(resource, limit) {
        super({
            name: 'ExceedsLimitError',
            message: `Failed to create ${resource}. You can't create more than the established limit of ${limit}.`,
            statusCode: 400,
        });
    }
}
export const throwExceedsLimitError = (eventBus, { resource, limit, resourceNameOverride }) => {
    eventBus.emit(EXCEEDS_LIMIT, {
        resource: resourceNameOverride ?? resource,
        limit,
    });
    throw new ExceedsLimitError(resource, limit);
};
//# sourceMappingURL=exceeds-limit-error.js.map