import { UnleashError } from './unleash-error.js';
export default class IncompatibleProjectError extends UnleashError {
    constructor(targetProject) {
        super(`${targetProject} is not a compatible target`);
        this.statusCode = 403;
    }
    toJSON() {
        return {
            ...super.toJSON(),
            details: [
                {
                    validationErrors: [],
                    message: this.message,
                },
            ],
        };
    }
}
//# sourceMappingURL=incompatible-project-error.js.map