import { UnleashError } from './unleash-error.js';
class OwaspValidationError extends UnleashError {
    constructor(testResult) {
        const details = {
            validationErrors: testResult.errors,
            message: testResult.errors[0],
        };
        super(testResult.errors[0]);
        this.statusCode = 400;
        this.details = [details];
    }
    toJSON() {
        return {
            ...super.toJSON(),
            details: this.details,
        };
    }
}
export default OwaspValidationError;
//# sourceMappingURL=owasp-validation-error.js.map