import { ADMIN_TOKEN_USER, SYSTEM_USER_ID, } from '../../types/index.js';
import * as permissions from '../../types/permissions.js';
const { ADMIN } = permissions;
export class AccessReadModel {
    constructor({ accessStore }) {
        this.store = accessStore;
    }
    async isRootAdmin(userId) {
        if (userId === SYSTEM_USER_ID || userId === ADMIN_TOKEN_USER.id) {
            return true;
        }
        const roles = await this.store.getRolesForUserId(userId);
        return roles.some((role) => role.name.toLowerCase() === ADMIN.toLowerCase());
    }
}
//# sourceMappingURL=access-read-model.js.map