import { AccessReadModel } from './access-read-model.js';
import { AccessStore } from '../../db/access-store.js';
import FakeRoleStore from '../../../test/fixtures/fake-role-store.js';
import FakeAccessStore from '../../../test/fixtures/fake-access-store.js';
export const createAccessReadModel = (db, config) => {
    const { eventBus, getLogger } = config;
    const accessStore = new AccessStore(db, eventBus, getLogger);
    return new AccessReadModel({ accessStore });
};
export const createFakeAccessReadModel = (accessStore) => {
    const roleStore = new FakeRoleStore();
    const finalAccessStore = accessStore ?? new FakeAccessStore(roleStore);
    return new AccessReadModel({ accessStore: finalAccessStore });
};
//# sourceMappingURL=createAccessReadModel.js.map