import EnvironmentStore from '../project-environments/environment-store.js';
import { ApiTokenService } from '../../services/index.js';
import FakeEnvironmentStore from '../project-environments/fake-environment-store.js';
import { createEventsService, createFakeEventsService, } from '../events/createEventsService.js';
import FakeApiTokenStore from '../../../test/fixtures/fake-api-token-store.js';
import { ApiTokenStore } from '../../db/api-token-store.js';
export const createApiTokenService = (db, config) => {
    const { eventBus, getLogger } = config;
    const apiTokenStore = new ApiTokenStore(db, eventBus, getLogger, config.flagResolver);
    const environmentStore = new EnvironmentStore(db, eventBus, config);
    const eventService = createEventsService(db, config);
    return new ApiTokenService({ apiTokenStore, environmentStore }, config, eventService);
};
export const createFakeApiTokenService = (config) => {
    const apiTokenStore = new FakeApiTokenStore();
    const environmentStore = new FakeEnvironmentStore();
    const eventService = createFakeEventsService(config);
    const apiTokenService = new ApiTokenService({ apiTokenStore, environmentStore }, config, eventService);
    return {
        apiTokenService,
        apiTokenStore,
        eventService,
        environmentStore,
    };
};
//# sourceMappingURL=createApiTokenService.js.map