import FeatureToggleClientStore from '../client-feature-toggles/client-feature-toggle-store.js';
import FakeClientFeatureToggleStore from './fakes/fake-client-feature-toggle-store.js';
import { ClientFeatureToggleService } from './client-feature-toggle-service.js';
import { SegmentReadModel } from '../segment/segment-read-model.js';
import { FakeSegmentReadModel } from '../segment/fake-segment-read-model.js';
import { createClientFeatureToggleDelta } from './delta/createClientFeatureToggleDelta.js';
export const createClientFeatureToggleService = (db, config) => {
    const featureToggleClientStore = new FeatureToggleClientStore(db, config.eventBus, config);
    const segmentReadModel = new SegmentReadModel(db);
    const clientFeatureToggleCache = createClientFeatureToggleDelta(db, config);
    const clientFeatureToggleService = new ClientFeatureToggleService({
        clientFeatureToggleStore: featureToggleClientStore,
    }, segmentReadModel, clientFeatureToggleCache, config);
    return clientFeatureToggleService;
};
export const createFakeClientFeatureToggleService = (config) => {
    const fakeClientFeatureToggleStore = new FakeClientFeatureToggleStore();
    const fakeSegmentReadModel = new FakeSegmentReadModel();
    const clientFeatureToggleService = new ClientFeatureToggleService({
        clientFeatureToggleStore: fakeClientFeatureToggleStore,
    }, fakeSegmentReadModel, null, config);
    return clientFeatureToggleService;
};
//# sourceMappingURL=createClientFeatureToggleService.js.map