import FeatureLinkService from './feature-link-service.js';
import FakeFeatureLinkStore from './fake-feature-link-store.js';
import { createEventsService, createFakeEventsService, } from '../events/createEventsService.js';
import { FeatureLinkStore } from './feature-link-store.js';
export const createFeatureLinkService = (config) => (db) => {
    const eventService = createEventsService(db, config);
    const featureLinkStore = new FeatureLinkStore(db, config);
    return new FeatureLinkService({ featureLinkStore }, config, eventService);
};
export const createFakeFeatureLinkService = (config) => {
    const eventService = createFakeEventsService(config);
    const featureLinkStore = new FakeFeatureLinkStore();
    const featureLinkService = new FeatureLinkService({ featureLinkStore }, config, eventService);
    return { featureLinkService, featureLinkStore };
};
//# sourceMappingURL=createFeatureLinkService.js.map