import { CRUDStore } from '../../db/crud/crud-store.js';
import { ulid } from 'ulidx';
export class FeatureLinkStore extends CRUDStore {
    constructor(db, config) {
        super('feature_link', db, config);
    }
    async insert(item) {
        const id = ulid();
        const featureLink = {
            id: ulid(),
            feature_name: item.featureName,
            url: item.url,
            title: item.title,
            domain: item.domain,
        };
        await this.db('feature_link').insert(featureLink);
        return { ...item, id };
    }
}
//# sourceMappingURL=feature-link-store.js.map