import { differenceInDays } from 'date-fns';
const calculateTimeToProdForFeatures = (items) => items.map((item) => differenceInDays(item.enabled, item.created));
export const calculateAverageTimeToProd = (items) => {
    const timeToProdPerFeature = calculateTimeToProdForFeatures(items);
    if (timeToProdPerFeature.length) {
        const sum = timeToProdPerFeature.reduce((acc, curr) => acc + curr, 0);
        const avg = sum / Object.keys(items).length;
        return Number(avg.toFixed(1)) || 0.1;
    }
    return 0;
};
//# sourceMappingURL=time-to-production.js.map