import EventEmitter from 'events';
import { UnleashEvents } from 'unleash-client';
export class FrontendApiRepository extends EventEmitter {
    constructor(config, globalFrontendApiCache, token) {
        super();
        this.config = config;
        this.logger = config.getLogger('frontend-api-repository.ts');
        this.token = token;
        this.globalFrontendApiCache = globalFrontendApiCache;
    }
    getTogglesWithSegmentData() {
        // TODO: add real implementation
        return [];
    }
    getSegment(id) {
        return this.globalFrontendApiCache.getSegment(id);
    }
    getToggle(name) {
        return this.globalFrontendApiCache.getToggle(name, this.token);
    }
    getToggles() {
        return this.globalFrontendApiCache.getToggles(this.token);
    }
    async start() {
        this.running = true;
        this.emit(UnleashEvents.Ready);
        this.emit(UnleashEvents.Changed);
    }
    stop() {
        this.running = false;
    }
}
//# sourceMappingURL=frontend-api-repository.js.map