import type { IAuditUser, IUnleashConfig } from '../../types/index.js';
import type SettingService from '../../services/setting-service.js';
import type { MaintenanceSchema } from '../../openapi/spec/maintenance-schema.js';
export interface IMaintenanceStatus {
    isMaintenanceMode(): Promise<boolean>;
}
export default class MaintenanceService implements IMaintenanceStatus {
    private config;
    private logger;
    private settingService;
    private resolveMaintenance;
    constructor(config: IUnleashConfig, settingService: SettingService);
    isMaintenanceMode(): Promise<boolean>;
    getMaintenanceSetting(): Promise<MaintenanceSchema>;
    toggleMaintenanceMode(setting: MaintenanceSchema, auditUser: IAuditUser): Promise<void>;
}
//# sourceMappingURL=maintenance-service.d.ts.map