import type { IUnleashConfig } from '../../../types/index.js';
import type { IUnleashStores } from '../../../types/index.js';
import type { UnknownFlag } from './unknown-flags-store.js';
export declare const MAX_UNKNOWN_FLAGS = 10;
export declare class UnknownFlagsService {
    private logger;
    private flagResolver;
    private unknownFlagsStore;
    private unknownFlagsCache;
    constructor({ unknownFlagsStore }: Pick<IUnleashStores, 'unknownFlagsStore'>, config: IUnleashConfig);
    private getKey;
    register(unknownFlags: UnknownFlag[]): void;
    flush(): Promise<void>;
    getGroupedUnknownFlags(): Promise<{
        name: string;
        reportedBy: {
            appName: string;
            seenAt: Date;
        }[];
    }[]>;
    clear(hoursAgo: number): Promise<void>;
}
//# sourceMappingURL=unknown-flags-service.d.ts.map