import { type IUnleashConfig } from '../../types/index.js';
import type { IUnleashServices } from '../../services/index.js';
import { type PersonalDashboardSchema } from '../../openapi/index.js';
import Controller from '../../routes/controller.js';
import type { Response } from 'express';
import type { IAuthRequest } from '../../routes/unleash-types.js';
import { type PersonalDashboardProjectDetailsSchema } from '../../openapi/spec/personal-dashboard-project-details-schema.js';
export default class PersonalDashboardController extends Controller {
    private openApiService;
    private personalDashboardService;
    constructor(config: IUnleashConfig, { openApiService, personalDashboardService, }: Pick<IUnleashServices, 'openApiService' | 'personalDashboardService'>);
    getPersonalDashboard(req: IAuthRequest, res: Response<PersonalDashboardSchema>): Promise<void>;
    getPersonalDashboardProjectDetails(req: IAuthRequest<{
        projectId: string;
    }>, res: Response<PersonalDashboardProjectDetailsSchema>): Promise<void>;
}
//# sourceMappingURL=personal-dashboard-controller.d.ts.map