import { Strategy } from './strategy.js';
import { normalizedStrategyValue } from './util.js';
export default class GradualRolloutSessionIdStrategy extends Strategy {
    constructor() {
        super('gradualRolloutSessionId');
    }
    isEnabled(parameters, context) {
        const { sessionId } = context;
        if (!sessionId) {
            return false;
        }
        const percentage = Number(parameters.percentage);
        const groupId = parameters.groupId || '';
        const normalizedId = normalizedStrategyValue(sessionId, groupId);
        return percentage > 0 && normalizedId <= percentage;
    }
}
//# sourceMappingURL=gradual-rollout-session-id.js.map