import { Strategy } from './strategy.js';
import { normalizedStrategyValue } from './util.js';
export default class GradualRolloutUserIdStrategy extends Strategy {
    constructor() {
        super('gradualRolloutUserId');
    }
    isEnabled(parameters, context) {
        const { userId } = context;
        if (!userId) {
            return false;
        }
        const percentage = Number(parameters.percentage);
        const groupId = parameters.groupId || '';
        const normalizedUserId = normalizedStrategyValue(userId, groupId);
        return percentage > 0 && normalizedUserId <= percentage;
    }
}
//# sourceMappingURL=gradual-rollout-user-id.js.map