import { playgroundStrategyEvaluation } from '../../../../openapi/spec/playground-strategy-schema.js';
import { Strategy } from './strategy.js';
export default class UnknownStrategy extends Strategy {
    constructor() {
        super('unknown');
    }
    isEnabled() {
        return false;
    }
    isEnabledWithConstraints(parameters, context, constraints, segments) {
        const constraintResults = this.checkConstraints(context, constraints);
        const segmentResults = this.checkSegments(context, segments);
        const overallResult = constraintResults.result && segmentResults.result
            ? playgroundStrategyEvaluation.unknownResult
            : false;
        return {
            result: {
                enabled: overallResult,
                evaluationStatus: 'incomplete',
            },
            constraints: constraintResults.constraints,
            segments: segmentResults.segments,
        };
    }
}
//# sourceMappingURL=unknown-strategy.js.map