export class ProjectStaleFlagsReadModel {
    constructor(db) {
        this.db = db;
    }
    async getStaleFlagCountForProject(projectId) {
        const result = await this.db('features')
            .count()
            .whereNull('archived_at')
            .where({ project: projectId })
            .where((builder) => builder
            .orWhere({ stale: true })
            .orWhere({ potentially_stale: true }));
        return Number(result[0].count);
    }
}
//# sourceMappingURL=project-stale-flags-read-model.js.map