import { ulid } from 'ulidx';
import { CRUDStore } from '../../db/crud/crud-store.js';
const TABLE = 'milestones';
const fromRow = (row) => {
    return {
        id: row.id,
        name: row.name,
        sortOrder: row.sort_order,
        releasePlanDefinitionId: row.release_plan_definition_id,
        strategies: [],
    };
};
export class ReleasePlanMilestoneStore extends CRUDStore {
    constructor(db, config) {
        super(TABLE, db, config);
    }
    async insert(item) {
        const row = this.toRow(item);
        row.id = ulid();
        await this.db(TABLE).insert(row);
        return fromRow(row);
    }
    async deleteAllConnectedToReleasePlanTemplate(templateId) {
        await this.db(TABLE)
            .where('release_plan_definition_id', templateId)
            .delete();
    }
}
//# sourceMappingURL=release-plan-milestone-store.js.map