import type { ReleasePlanMilestoneStrategy } from './release-plan-milestone-strategy.js';
import { CRUDStore, type CrudStoreConfig } from '../../db/crud/crud-store.js';
import type { Row } from '../../db/crud/row-type.js';
import type { Db } from '../../db/db.js';
export type ReleasePlanMilestoneStrategyWriteModel = Omit<ReleasePlanMilestoneStrategy, 'id'>;
export declare class ReleasePlanMilestoneStrategyStore extends CRUDStore<ReleasePlanMilestoneStrategy, ReleasePlanMilestoneStrategyWriteModel, Row<ReleasePlanMilestoneStrategy>, ReleasePlanMilestoneStrategy, string> {
    constructor(db: Db, config: CrudStoreConfig);
    insert({ segments, ...strategy }: ReleasePlanMilestoneStrategyWriteModel): Promise<ReleasePlanMilestoneStrategy>;
    private updateStrategy;
    upsert(strategyId: string, { segments, ...strategy }: ReleasePlanMilestoneStrategyWriteModel): Promise<ReleasePlanMilestoneStrategy>;
    deleteStrategiesForMilestone(milestoneId: string): Promise<void>;
}
//# sourceMappingURL=release-plan-milestone-strategy-store.d.ts.map