import getLogger from '../../../test/fixtures/no-logger.js';
import { createFakeSegmentService } from './createSegmentService.js';
const alwaysOnFlagResolver = {
    isEnabled() {
        return true;
    },
};
test('Should not allow to exceed segment limit', async () => {
    const LIMIT = 1;
    const segmentService = createFakeSegmentService({
        getLogger,
        flagResolver: alwaysOnFlagResolver,
        resourceLimits: { segments: LIMIT },
        eventBus: {
            emit: () => { },
        },
    });
    const createSegment = (name) => segmentService.create({ name, constraints: [] }, {});
    await createSegment('segmentA');
    await expect(() => createSegment('segmentB')).rejects.toThrow("Failed to create segment. You can't create more than the established limit of 1.");
});
//# sourceMappingURL=segment-service.limit.test.js.map