import TagTypeService from './tag-type-service.js';
import TagTypeStore from './tag-type-store.js';
import FakeTagTypeStore from './fake-tag-type-store.js';
import { createEventsService, createFakeEventsService, } from '../events/createEventsService.js';
export const createTagTypeService = (config) => (db) => {
    const { getLogger, eventBus } = config;
    const eventService = createEventsService(db, config);
    const tagTypeStore = new TagTypeStore(db, eventBus, getLogger);
    return new TagTypeService({ tagTypeStore }, config, eventService);
};
export const createFakeTagTypeService = (config) => {
    const eventService = createFakeEventsService(config);
    const tagTypeStore = new FakeTagTypeStore();
    return new TagTypeService({ tagTypeStore }, config, eventService);
};
//# sourceMappingURL=createTagTypeService.js.map