const COLUMNS = ['user_id', 'subscription', 'created_at'];
export const TABLE = 'user_unsubscription';
export class UserUnsubscribeStore {
    constructor(db) {
        this.db = db;
    }
    async insert({ userId, subscription }) {
        await this.db
            .table(TABLE)
            .insert({ user_id: userId, subscription: subscription })
            .onConflict(['user_id', 'subscription'])
            .ignore()
            .returning(COLUMNS);
    }
    async delete({ userId, subscription }) {
        await this.db
            .table(TABLE)
            .where({ user_id: userId, subscription: subscription })
            .del();
    }
    destroy() { }
}
//# sourceMappingURL=user-unsubscribe-store.js.map