import { extractAuditInfo } from '../util/index.js';
export const auditAccessMiddleware = ({ getLogger, }) => {
    const logger = getLogger('/middleware/audit-middleware.ts');
    return (req, _res, next) => {
        if (!req.user) {
            logger.info('Could not find user');
        }
        else {
            try {
                req.audit = extractAuditInfo(req);
            }
            catch (e) {
                logger.warn('Could not find audit info in request');
            }
        }
        next();
    };
};
//# sourceMappingURL=audit-middleware.js.map