export const bearerTokenMiddleware = ({ getLogger, }) => {
    const logger = getLogger('/middleware/bearer-token-middleware.ts');
    logger.debug('Enabling bearer token middleware');
    return (req, _, next) => {
        const authHeader = req.headers.authorization;
        if (authHeader) {
            req.headers.authorization = authHeader.replace(/^Bearer\s+/i, '');
        }
        next();
    };
};
//# sourceMappingURL=bearer-token-middleware.js.map