import { Router } from 'express';
export const conditionalMiddleware = (condition, middleware) => {
    const router = Router();
    router.use((req, res, next) => {
        if (condition()) {
            middleware(req, res, next);
        }
        else {
            next();
        }
    });
    return router;
};
//# sourceMappingURL=conditional-middleware.js.map