import { validateSchema } from '../validate.js';
test('updateEnvironmentSchema', () => {
    const data = {
        id: 1,
        name: 'release',
        constraints: [],
        createdAt: '2022-07-25 06:00:00',
        createdBy: 'test',
        description: 'a description',
    };
    expect(validateSchema('#/components/schemas/adminSegmentSchema', data)).toBeUndefined();
    expect(validateSchema('#/components/schemas/adminSegmentSchema', {
        id: 1,
        name: 'release',
        constraints: [],
        createdAt: '2022-07-25 06:00:00',
    })).toBeUndefined();
    expect(validateSchema('#/components/schemas/adminSegmentSchema', {
        id: 1,
        name: 'release',
        constraints: [],
        createdAt: '2022-07-25 06:00:00',
        additional: 'property',
    })).toMatchSnapshot();
    expect(validateSchema('#/components/schemas/adminSegmentSchema', {
        id: 1,
        name: 'release',
        constraints: [],
        createdAt: 'wrong-format',
    })).toMatchSnapshot();
    expect(validateSchema('#/components/schemas/adminSegmentSchema', {
        name: 'release',
        constraints: [],
    })).toMatchSnapshot();
    expect(validateSchema('#/components/schemas/adminSegmentSchema', 'not an object')).toMatchSnapshot();
});
//# sourceMappingURL=admin-segment-schema.test.js.map