import type { FromSchema } from 'json-schema-to-ts';
export declare const customMetricSchema: {
    $id: string;
    type: "object";
    required: string[];
    description: string;
    properties: {
        name: {
            type: "string";
            description: string;
            example: string;
        };
        value: {
            type: "number";
            description: string;
            example: number;
        };
        labels: {
            type: "object";
            description: string;
            additionalProperties: {
                type: "string";
            };
            example: {
                status: string;
                method: string;
            };
        };
    };
    components: {};
};
export type CustomMetricSchema = FromSchema<typeof customMetricSchema>;
//# sourceMappingURL=custom-metric-schema.d.ts.map