export const customMetricSchema = {
    $id: '#/components/schemas/customMetricSchema',
    type: 'object',
    required: ['name', 'value'],
    description: 'A custom metric with name, value and optional labels',
    properties: {
        name: {
            type: 'string',
            description: 'Name of the custom metric',
            example: 'http_responses_total',
        },
        value: {
            type: 'number',
            description: 'Value of the custom metric',
            example: 1,
        },
        labels: {
            type: 'object',
            description: 'Labels to categorize the metric',
            additionalProperties: {
                type: 'string',
            },
            example: {
                status: '200',
                method: 'GET',
            },
        },
    },
    components: {},
};
//# sourceMappingURL=custom-metric-schema.js.map