import { dateSchema } from './date-schema.js';
import { customMetricSchema } from './custom-metric-schema.js';
export const customMetricsSchema = {
    $id: '#/components/schemas/customMetricsSchema',
    type: 'object',
    required: ['metrics'],
    description: 'A collection of custom metrics',
    properties: {
        metrics: {
            type: 'array',
            description: 'Array of custom metrics',
            items: {
                $ref: '#/components/schemas/customMetricSchema',
            },
        },
    },
    components: {
        schemas: {
            customMetricSchema,
            dateSchema,
        },
    },
};
//# sourceMappingURL=custom-metrics-schema.js.map