import type { FromSchema } from 'json-schema-to-ts';
export declare const featureLinkSchema: {
    readonly $id: "#/components/schemas/featureLinkSchema";
    readonly type: "object";
    readonly required: readonly ["url"];
    readonly properties: {
        readonly url: {
            readonly type: "string";
            readonly example: "https://github.com/search?q=cleanupReminder&type=code";
            readonly description: "The URL the feature is linked to";
        };
        readonly title: {
            readonly type: "string";
            readonly example: "Github cleanup";
            readonly description: "The description of the link";
            readonly nullable: true;
        };
    };
    readonly description: "The link to any URL related to the feature";
    readonly components: {
        readonly schemas: {};
    };
};
export type FeatureLinkSchema = FromSchema<typeof featureLinkSchema>;
//# sourceMappingURL=feature-link-schema.d.ts.map