import type { FromSchema } from 'json-schema-to-ts';
export declare const featureLinksSchema: {
    readonly $id: "#/components/schemas/featureLinksSchema";
    readonly type: "object";
    readonly description: "A list of links for a feature";
    readonly required: readonly ["feature", "links"];
    readonly additionalProperties: false;
    readonly properties: {
        readonly feature: {
            readonly type: "string";
            readonly description: "The name of the child feature.";
            readonly example: "child_feature";
        };
        readonly links: {
            readonly type: "array";
            readonly description: "List of feature links";
            readonly items: {
                readonly $ref: "#/components/schemas/featureLinkSchema";
            };
        };
    };
    readonly components: {
        readonly schemas: {
            readonly featureLinkSchema: {
                readonly $id: "#/components/schemas/featureLinkSchema";
                readonly type: "object";
                readonly required: readonly ["url"];
                readonly properties: {
                    readonly url: {
                        readonly type: "string";
                        readonly example: "https://github.com/search?q=cleanupReminder&type=code";
                        readonly description: "The URL the feature is linked to";
                    };
                    readonly title: {
                        readonly type: "string";
                        readonly example: "Github cleanup";
                        readonly description: "The description of the link";
                        readonly nullable: true;
                    };
                };
                readonly description: "The link to any URL related to the feature";
                readonly components: {
                    readonly schemas: {};
                };
            };
        };
    };
};
export type FeatureLinksSchema = FromSchema<typeof featureLinksSchema>;
//# sourceMappingURL=feature-links-schema.d.ts.map