import { userSchema } from './user-schema.js';
import { permissionSchema } from './permission-schema.js';
import { feedbackResponseSchema } from './feedback-response-schema.js';
export const meSchema = {
    $id: '#/components/schemas/meSchema',
    type: 'object',
    additionalProperties: false,
    required: ['user', 'permissions', 'feedback', 'splash'],
    description: 'Detailed user information',
    properties: {
        user: {
            $ref: '#/components/schemas/userSchema',
        },
        permissions: {
            description: 'User permissions for projects and environments',
            type: 'array',
            items: {
                $ref: '#/components/schemas/permissionSchema',
            },
        },
        feedback: {
            description: 'User feedback information',
            type: 'array',
            items: {
                $ref: '#/components/schemas/feedbackResponseSchema',
            },
        },
        splash: {
            description: 'Splash screen configuration',
            type: 'object',
            additionalProperties: {
                type: 'boolean',
            },
        },
    },
    components: {
        schemas: {
            userSchema,
            permissionSchema,
            feedbackResponseSchema,
        },
    },
};
//# sourceMappingURL=me-schema.js.map