import type { FromSchema } from 'json-schema-to-ts';
export declare const projectLinkTemplateSchema: {
    readonly $id: "#/components/schemas/projectLinkTemplateSchema";
    readonly type: "object";
    readonly description: "A template for a link that can be automatically added to new feature flags.";
    readonly required: readonly ["urlTemplate"];
    readonly properties: {
        readonly title: {
            readonly type: "string";
            readonly description: "The title of the link.";
            readonly example: "Code search";
            readonly nullable: true;
        };
        readonly urlTemplate: {
            readonly type: "string";
            readonly description: "The URL to use as a template. Can contain {{project}} or {{feature}} as placeholders.";
            readonly example: "https://github.com/search?type=code&q=repo%3AUnleash%2F{{project}}+{{feature}}";
        };
    };
    readonly additionalProperties: false;
    readonly components: {};
};
export type ProjectLinkTemplateSchema = FromSchema<typeof projectLinkTemplateSchema>;
//# sourceMappingURL=project-link-template-schema.d.ts.map