import { roleSchema } from './role-schema.js';
export const rolesSchema = {
    $id: '#/components/schemas/rolesSchema',
    type: 'object',
    description: 'A list of roles',
    additionalProperties: false,
    required: ['version', 'roles'],
    properties: {
        version: {
            type: 'integer',
            description: 'The version of the role schema used',
            minimum: 1,
            example: 1,
        },
        roles: {
            type: 'array',
            items: {
                $ref: '#/components/schemas/roleSchema',
            },
            description: 'A list of roles',
        },
    },
    components: {
        schemas: {
            roleSchema,
        },
    },
};
//# sourceMappingURL=roles-schema.js.map