import fc from 'fast-check';
import { validateSchema } from '../validate.js';
import { sdkContextSchema, } from './sdk-context-schema.js';
import { commonISOTimestamp } from '../../../test/arbitraries.test.js';
import { test } from '@fast-check/vitest';
export const generate = () => fc.record({
    appName: fc.string({ minLength: 1 }),
    currentTime: commonISOTimestamp(),
    environment: fc.string(),
    properties: fc.dictionary(fc.string(), fc.string()),
    remoteAddress: fc.ipV4(),
    sessionId: fc.uuid(),
    userId: fc.emailAddress(),
}, { requiredKeys: ['appName'] });
test('sdkContextSchema', () => fc.assert(fc.property(generate(), (data) => validateSchema(sdkContextSchema.$id, data) === undefined)));
//# sourceMappingURL=sdk-context-schema.test.js.map