import { adminSegmentSchema } from './admin-segment-schema.js';
import { constraintSchema } from './constraint-schema.js';
export const segmentsSchema = {
    $id: '#/components/schemas/segmentsSchema',
    description: 'Data containing a list of [segments](https://docs.getunleash.io/reference/segments)',
    type: 'object',
    properties: {
        segments: {
            type: 'array',
            description: 'A list of segments',
            items: {
                $ref: '#/components/schemas/adminSegmentSchema',
            },
        },
    },
    components: {
        schemas: {
            adminSegmentSchema,
            constraintSchema,
        },
    },
};
//# sourceMappingURL=segments-schema.js.map