import type { FromSchema } from 'json-schema-to-ts';
export declare const unknownFlagSchema: {
    readonly $id: "#/components/schemas/unknownFlagSchema";
    readonly type: "object";
    readonly additionalProperties: false;
    readonly required: readonly ["name", "reportedBy"];
    readonly description: "An unknown flag that has been reported by the system";
    readonly properties: {
        readonly name: {
            readonly type: "string";
            readonly description: "The name of the unknown flag.";
            readonly example: "my-unknown-flag";
        };
        readonly reportedBy: {
            readonly description: "Details about the application that reported the unknown flag.";
            readonly type: "array";
            readonly items: {
                readonly type: "object";
                readonly additionalProperties: false;
                readonly required: readonly ["appName", "seenAt"];
                readonly properties: {
                    readonly appName: {
                        readonly type: "string";
                        readonly description: "The name of the application that reported the unknown flag.";
                        readonly example: "my-app";
                    };
                    readonly seenAt: {
                        readonly type: "string";
                        readonly format: "date-time";
                        readonly description: "The date and time when the unknown flag was reported.";
                        readonly example: "2023-10-01T12:00:00Z";
                    };
                };
            };
        };
    };
    readonly components: {};
};
export type UnknownFlagSchema = FromSchema<typeof unknownFlagSchema>;
//# sourceMappingURL=unknown-flag-schema.d.ts.map