import type { Response } from 'express';
import Controller from '../controller.js';
import { type IUnleashConfig } from '../../types/index.js';
import type { IUnleashServices } from '../../services/index.js';
import type { IAuthRequest } from '../unleash-types.js';
import { type PublicSignupTokenCreateSchema, type PublicSignupTokenSchema, type PublicSignupTokensSchema, type PublicSignupTokenUpdateSchema } from '../../openapi/index.js';
interface TokenParam {
    token: string;
}
export declare class PublicSignupController extends Controller {
    private publicSignupTokenService;
    private userService;
    private accessService;
    private openApiService;
    private logger;
    constructor(config: IUnleashConfig, { publicSignupTokenService, accessService, userService, openApiService, }: Pick<IUnleashServices, 'publicSignupTokenService' | 'accessService' | 'userService' | 'openApiService'>);
    getAllPublicSignupTokens(req: IAuthRequest, res: Response<PublicSignupTokensSchema>): Promise<void>;
    getPublicSignupToken(req: IAuthRequest<TokenParam>, res: Response<PublicSignupTokenSchema>): Promise<void>;
    createPublicSignupToken(req: IAuthRequest<void, void, PublicSignupTokenCreateSchema>, res: Response<PublicSignupTokenSchema>): Promise<void>;
    updatePublicSignupToken(req: IAuthRequest<TokenParam, void, PublicSignupTokenUpdateSchema>, res: Response): Promise<any>;
}
export {};
//# sourceMappingURL=public-signup.d.ts.map