import type { Response } from 'express';
import type { IUnleashConfig } from '../../types/index.js';
import type { IUnleashServices } from '../../services/index.js';
import Controller from '../controller.js';
import type { IAuthRequest } from '../unleash-types.js';
import { type UserSchema } from '../../openapi/spec/user-schema.js';
import type { LoginSchema } from '../../openapi/spec/login-schema.js';
export declare class SimplePasswordProvider extends Controller {
    private logger;
    private openApiService;
    private userService;
    constructor(config: IUnleashConfig, { userService, openApiService, }: Pick<IUnleashServices, 'userService' | 'openApiService'>);
    login(req: IAuthRequest<void, void, LoginSchema>, res: Response<UserSchema>): Promise<void>;
}
//# sourceMappingURL=simple-password-provider.d.ts.map