import type { Response } from 'express';
import Controller from '../controller.js';
import type { IUnleashConfig } from '../../types/index.js';
import type { RequestBody } from '../unleash-types.js';
import { type ValidatedEdgeTokensSchema } from '../../openapi/spec/validated-edge-tokens-schema.js';
import type { TokenStringListSchema } from '../../openapi/index.js';
import type { IUnleashServices } from '../../services/index.js';
export default class EdgeController extends Controller {
    private readonly logger;
    private edgeService;
    private openApiService;
    constructor(config: IUnleashConfig, { edgeService, openApiService, }: Pick<IUnleashServices, 'edgeService' | 'openApiService'>);
    getValidTokens(req: RequestBody<TokenStringListSchema>, res: Response<ValidatedEdgeTokensSchema>): Promise<void>;
}
//# sourceMappingURL=index.d.ts.map