export default class EventAnnouncer {
    constructor({ eventStore }, { getLogger, flagResolver, }) {
        this.logger = getLogger('services/event-service.ts');
        this.flagResolver = flagResolver;
        this.eventStore = eventStore;
    }
    async publishUnannouncedEvents() {
        if (this.flagResolver.isEnabled('disablePublishUnannouncedEvents')) {
            return Promise.resolve();
        }
        else {
            return this.eventStore.publishUnannouncedEvents();
        }
    }
}
//# sourceMappingURL=event-announcer-service.js.map