// Convert Date objects to strings recursively.
export const serializeDates = (obj) => {
    if (!obj || typeof obj !== 'object') {
        return obj;
    }
    if (Array.isArray(obj)) {
        return obj.map(serializeDates);
    }
    const entries = Object.entries(obj).map(([k, v]) => {
        if (v instanceof Date) {
            return [k, v.toJSON()];
        }
        else {
            return [k, serializeDates(v)];
        }
    });
    return Object.fromEntries(entries);
};
//# sourceMappingURL=serialize-dates.js.map