import { subDays } from 'date-fns';
export class FakeInactiveUsersStore {
    constructor(users) {
        this.users = [];
        this.users = users ?? [];
    }
    getInactiveUsers(daysInactive) {
        return Promise.resolve(this.users
            .filter((user) => {
            if (user.seenAt) {
                return user.seenAt < subDays(new Date(), daysInactive);
            }
            else if (user.createdAt) {
                return (user.createdAt < subDays(new Date(), daysInactive));
            }
        })
            .map((user) => {
            return {
                id: user.id,
                name: user.name,
                username: user.username,
                email: user.email,
                seen_at: user.seenAt,
                created_at: user.createdAt || new Date(),
            };
        }));
    }
}
//# sourceMappingURL=fake-inactive-users-store.js.map