export const allSettledWithRejection = (promises) => new Promise((resolve, reject) => {
    Promise.allSettled(promises).then((results) => {
        for (const result of results) {
            if (result.status === 'rejected') {
                reject(result.reason);
                return;
            }
        }
        resolve(results.map((r) => r.value));
    });
});
//# sourceMappingURL=allSettledWithRejection.js.map