export const batchExecute = async (items, batchSize, delayMs, executeFn) => {
    for (let i = 0; i < items.length; i += batchSize) {
        const batch = items.slice(i, i + batchSize);
        // Execute function for each item in the batch sequentially, fire-and-forget
        batch.forEach((item) => executeFn(item));
        if (i + batchSize < items.length) {
            await new Promise((resolve) => setTimeout(resolve, delayMs));
        }
    }
};
//# sourceMappingURL=batchExecute.js.map