import { SYSTEM_USER, SYSTEM_USER_AUDIT } from '../../lib/types/index.js';
export function extractUsernameFromUser(user) {
    return (user?.email || user?.username || SYSTEM_USER_AUDIT.username);
}
export function extractUsername(req) {
    return extractUsernameFromUser(req.user);
}
export const extractUserIdFromUser = (user) => user?.id ||
    user?.internalAdminTokenUserId ||
    SYSTEM_USER.id;
export const extractUserId = (req) => extractUserIdFromUser(req.user);
export const extractUserInfo = (req) => ({
    id: extractUserId(req),
    username: extractUsername(req),
});
export const extractAuditInfoFromUser = (user, ip = '127.0.0.1') => ({
    id: extractUserIdFromUser(user),
    username: extractUsernameFromUser(user),
    ip,
});
export const extractAuditInfo = (req) => ({
    id: extractUserId(req),
    username: extractUsername(req),
    ip: req.ip,
});
//# sourceMappingURL=extract-user.js.map