import semver from 'semver';
export const parseStrictSemVer = (version) => {
    if (semver.clean(version) !== version) {
        return null;
    }
    try {
        return semver.parse(version, { loose: false });
    }
    catch {
        return null;
    }
};
export const mustParseStrictSemVer = (version) => {
    const parsedVersion = parseStrictSemVer(version);
    if (!parsedVersion) {
        throw new Error('Could not parse SemVer string: ${version}');
    }
    return parsedVersion;
};
//# sourceMappingURL=semver.js.map