import { endOfDay, startOfHour, subDays, subHours } from 'date-fns';
export function generateHourBuckets(hours) {
    const start = startOfHour(new Date());
    const result = [];
    for (let i = 0; i < hours; i++) {
        result.push({ timestamp: subHours(start, i) });
    }
    return result;
}
// Generate last x days starting from end of yesterday
export function generateDayBuckets(days) {
    const start = endOfDay(subDays(new Date(), 1));
    const result = [];
    for (let i = 0; i < days; i++) {
        result.push({ timestamp: subDays(start, i) });
    }
    return result;
}
//# sourceMappingURL=time-utils.js.map