import type { LogProvider } from '../../../lib/logger.js';
import type { IUnleashStores } from '../../../lib/types/index.js';
import type { IUnleashConfig, IUnleashOptions } from '../../../lib/server-impl.js';
import type { Knex } from 'knex';
export declare const testDbPrefix = "unleashtestdb_";
export interface ITestDb {
    config: IUnleashConfig;
    stores: IUnleashStores;
    reset: () => Promise<void>;
    destroy: () => Promise<void>;
    rawDatabase: Knex;
}
type DBTestOptions = {
    stopMigrationAt?: string;
};
export default function init(databaseSchema?: string, getLogger?: LogProvider, configOverride?: Partial<IUnleashOptions & DBTestOptions>): Promise<ITestDb>;
export {};
//# sourceMappingURL=database-init.d.ts.map