export const fakeImpactMetricsResolver = () => ({
    counters: new Map(),
    gauges: new Map(),
    defineCounter(name, help) {
        this.counters.set(name, { value: 0, help });
    },
    defineGauge(name, help) {
        this.gauges.set(name, { value: 0, help });
    },
    incrementCounter(name, value = 1) {
        const counter = this.counters.get(name);
        if (!counter) {
            return;
        }
        counter.value += value;
        this.counters.set(name, counter);
    },
    updateGauge(name, value) {
        const gauge = this.gauges.get(name);
        if (!gauge) {
            return;
        }
        gauge.value = value;
        this.gauges.set(name, gauge);
    },
});
//# sourceMappingURL=fake-impact-metrics.js.map